Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.ui.refactoring
Class RefactoringUI

    java.lang.Object
      org.eclipse.ltk.ui.refactoring.RefactoringUI

public class RefactoringUI
extends Object

Central access point to access resources managed by the refactoring ui plug-in.

Note: this class is not intended to be extended by clients.

Since:
  3.0

Method Summary
`static Dialog` | `createRefactoringStatusDialog(RefactoringStatus status, Shell parent, String windowTitle, boolean backButton)` Creates a dialog to present a `RefactoringStatus` to the user.
`static PerformChangeOperation` | `createUIAwareChangeOperation(Change change)` Creates a special perform change operations that knows how to batch undo operations in open editors into one undo object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createRefactoringStatusDialog

    public static Dialog createRefactoringStatusDialog(RefactoringStatus status,
                                                       Shell parent,
                                                       String windowTitle,
                                                       boolean backButton)

  Creates a dialog to present a `RefactoringStatus` to the user. The following values are returned from the dialogs open method:
  - `IDialogConstants#OK_ID`: if the user has pressed the continue button.
  - `IDialogConstants#CANCEL_ID`: if the user has pressed the cancel button.
  - `IDialogConstants#BACK_ID`: if the user has pressed the back button.

  Parameters:
    `status` - the status to present
    `parent` - the parent shell of the dialog. May be `null` if the dialog is a top-level dialog
    `windowTitle` - the dialog's window title
    `backButton` - if `true` the dialog will contain a back button; otherwise no back button will be present.
  Returns:
    a dialog to present a refactoring status.

### createUIAwareChangeOperation

    public static PerformChangeOperation createUIAwareChangeOperation(Change change)

  Creates a special perform change operations that knows how to batch undo operations in open editors into one undo object. The operation batches the undo operations for those editors that implement the interface `IRewriteTarget`.

  Parameters:
    `change` - the change to perform
  Returns:
    a special perform change operation that knows how to batch undo operations for open editors if they implement `IRewriteTarget`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.